Nutritious Polygonal Meatball

    sass-plotter

    0.1.9 • Public • Published

    sass-plotter

    Create sass dependency plot from scss files or your wicked mind.

    Build Status

    The module allows you to create a scss dependency graph just like sass-graph. The difference is that it does not depend on actual files on your machine. This allows you to set(), unset() the files into the plot to manipulate the graph for your needs.

    Installation

    Install with npm

    $ npm install sass-plotter

    Usage

    var SassPlotter = require('sass-plotter');
     
    // Create an empty plotter object
    var plot = new SassPlotter();
     
    // Or if you want to start from your existing files
    var plot = new SassPlotter('/path/to/your/scss/files/');

    API

    constructor

    var plot = new SassPlotter([path[, options]]);
    path

    The full path to the directory with your scss files.

    options

    Set the default behavior in the constructor. The options are those of sass-import-resolve, see the options section there for more details.

    set

    Adds the file into the scss dependency plot. Or overwrites the existing if there is already a file with same filepath in the plot.

    plot.set(file, [content[, options]]);
    file

    The path of the scss file.

    content

    The optional content of your file.

    options

    Options on how to parse the file. Passed to the sass-import-resolve.

    unset

    Removes the file from the plot.

    plot.unset(file);
    file

    The path of the scss file.

    imports

    Returns the filepaths that imports the file.

    plot.imports(file);
    file

    The path of the scss file.

    importedBy

    Returns the filepaths that the file imports.

    plot.importedBy(file);
    file

    The path of the scss file.

    dependents

    Returns the filepaths that are affected by a given file. Say you change the content of the example.scss it will return all files that has directly or indirectly imported and thus depend on example.scss.

    plot.dependents(file);
    file

    The path of the scss file.

    Test

    $ npm install
    $ npm test
    

    License

    MIT

    Install

    npm i sass-plotter

    DownloadsWeekly Downloads

    2

    Version

    0.1.9

    License

    MIT

    Last publish

    Collaborators

    • dadish